Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.management.stats
Class ServiceStatistics

    java.lang.Object
      org.mule.management.stats.FlowConstructStatistics
          org.mule.management.stats.ServiceStatistics

All Implemented Interfaces:
  Serializable, Statistics, QueueStatistics

Direct Known Subclasses:
  SedaServiceStatistics

    public class ServiceStatistics

extends FlowConstructStatistics
implements QueueStatistics

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.mule.management.stats.FlowConstructStatistics
`enabled, name, receivedEventASync, receivedEventSync`

Constructor Summary
`ServiceStatistics(String name)`
`ServiceStatistics(String name, int threadPoolSize)`

Method Summary
`void` | `clear()`
`void` | `decQueuedEvent()`
`long` | `getAsyncEventsSent()`
`long` | `getAverageExecutionTime()`
`long` | `getAverageQueueSize()`
`ComponentStatistics` | `getComponentStat()`
`long` | `getExecutedEvents()`
`long` | `getExecutionErrors()`
`long` | `getFatalErrors()`
`RouterStatistics` | `getInboundRouterStat()`
`long` | `getMaxExecutionTime()` Deprecated.
`long` | `getMaxQueueSize()`
`long` | `getMinExecutionTime()` Deprecated.
`RouterStatistics` | `getOutboundRouterStat()`
`long` | `getQueuedEvents()`
`long` | `getReplyToEventsSent()`
`long` | `getSamplePeriod()`
`long` | `getSyncEventsSent()`
`int` | `getThreadPoolSize()`
`long` | `getTotalEventsReceived()`
`long` | `getTotalEventsSent()`
`long` | `getTotalExecutionTime()` Deprecated.
`void` | `incExecutionError()`
`void` | `incFatalError()`
`void` | `incQueuedEvent()`
`void` | `incSentEventASync()`
`void` | `incSentEventSync()`
`void` | `incSentReplyToEvent()`
`void` | `logSummary()`
`void` | `logSummary(PrintWriter printer)`
`void` | `setComponentStat(ComponentStatistics componentStat)`
`void` | `setEnabled(boolean b)` Enable statistics logs (this is a dynamic parameter)
`void` | `setInboundRouterStat(RouterStatistics inboundRouterStat)`
`void` | `setOutboundRouterStat(RouterStatistics outboundRouterStat)`

Methods inherited from class org.mule.management.stats.FlowConstructStatistics
`getAsyncEventsReceived, getName, getSyncEventsReceived, incReceivedEventASync, incReceivedEventSync, isEnabled, setName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.mule.api.management.stats.Statistics
`isEnabled`

Constructor Detail

### ServiceStatistics

    public ServiceStatistics(String name)

### ServiceStatistics

    public ServiceStatistics(String name,
                             int threadPoolSize)

Method Detail

### setEnabled

    public void setEnabled(boolean b)

  Enable statistics logs (this is a dynamic parameter)

  Overrides:
    `setEnabled` in class `FlowConstructStatistics`

### incExecutionError

    public void incExecutionError()

### incFatalError

    public void incFatalError()

### incSentEventSync

    public void incSentEventSync()

### incSentEventASync

    public void incSentEventASync()

### incSentReplyToEvent

    public void incSentReplyToEvent()

### incQueuedEvent

    public void incQueuedEvent()

  Specified by:
    `incQueuedEvent` in interface `QueueStatistics`

### decQueuedEvent

    public void decQueuedEvent()

  Specified by:
    `decQueuedEvent` in interface `QueueStatistics`

### getAverageExecutionTime

    public long getAverageExecutionTime()

### getAverageQueueSize

    public long getAverageQueueSize()

### getMaxQueueSize

    public long getMaxQueueSize()

### getMaxExecutionTime

    @Deprecated
    public long getMaxExecutionTime()

  Deprecated.

### getFatalErrors

    public long getFatalErrors()

### getMinExecutionTime

    @Deprecated
    public long getMinExecutionTime()

  Deprecated.

### getTotalExecutionTime

    @Deprecated
    public long getTotalExecutionTime()

  Deprecated.

### getQueuedEvents

    public long getQueuedEvents()

### getReplyToEventsSent

    public long getReplyToEventsSent()

### getSyncEventsSent

    public long getSyncEventsSent()

### getAsyncEventsSent

    public long getAsyncEventsSent()

### getTotalEventsSent

    public long getTotalEventsSent()

### getTotalEventsReceived

    public long getTotalEventsReceived()

### getExecutedEvents

    public long getExecutedEvents()

### getExecutionErrors

    public long getExecutionErrors()

### logSummary

    public void logSummary()

### logSummary

    public void logSummary(PrintWriter printer)

### clear

    public void clear()

  Overrides:
    `clear` in class `FlowConstructStatistics`

### getInboundRouterStat

    public RouterStatistics getInboundRouterStat()

### setInboundRouterStat

    public void setInboundRouterStat(RouterStatistics inboundRouterStat)

### getOutboundRouterStat

    public RouterStatistics getOutboundRouterStat()

### setOutboundRouterStat

    public void setOutboundRouterStat(RouterStatistics outboundRouterStat)

### getComponentStat

    public ComponentStatistics getComponentStat()

### setComponentStat

    public void setComponentStat(ComponentStatistics componentStat)

### getThreadPoolSize

    public int getThreadPoolSize()

### getSamplePeriod

    public long getSamplePeriod()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.